javax.jdo.identity

## Class ByteIdentity

- java.lang.Object
- - javax.jdo.identity.SingleFieldIdentity
  - - javax.jdo.identity.ByteIdentity

- All Implemented Interfaces:
    Externalizable, Serializable, Comparable

      public class ByteIdentity
      extends SingleFieldIdentity

  This class is for identity with a single byte field.
  Version:
    2.0
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.jdo.identity.SingleFieldIdentity

      `hashCode, keyAsObject, msg`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteIdentity()` Constructor only for Externalizable.
    `ByteIdentity(Class pcClass, byte key)` Constructor with class and key.
    `ByteIdentity(Class pcClass, Byte key)` Constructor with class and key.
    `ByteIdentity(Class pcClass, String str)` Constructor with class and key.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Object o)` Determine the ordering of identity objects.
    `protected Object` | `createKeyAsObject()` Create the key as an Object.
    `boolean` | `equals(Object obj)` Determine if the other object represents the same object id.
    `byte` | `getKey()` Return the key.
    `void` | `readExternal(ObjectInput in)` Read this object.
    `String` | `toString()` Return the String version of the key.
    `void` | `writeExternal(ObjectOutput out)` Write this object.

    - ### Methods inherited from class javax.jdo.identity.SingleFieldIdentity

      `assertKeyNotNull, compare, getKeyAsObject, getTargetClass, getTargetClassName, hashClassName, hashCode, setKeyAsObject`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ByteIdentity

          public ByteIdentity(Class pcClass,
                              byte key)

      Constructor with class and key.
      Parameters:
        `pcClass` - the target class
        `key` - the key

    - #### ByteIdentity

          public ByteIdentity(Class pcClass,
                              Byte key)

      Constructor with class and key.
      Parameters:
        `pcClass` - the target class
        `key` - the key

    - #### ByteIdentity

          public ByteIdentity(Class pcClass,
                              String str)

      Constructor with class and key.
      Parameters:
        `pcClass` - the target class
        `str` - the key

    - #### ByteIdentity

          public ByteIdentity()

      Constructor only for Externalizable.

  - ### Method Detail

    - #### getKey

          public byte getKey()

      Return the key.
      Returns:
        the key

    - #### toString

          public String toString()

      Return the String version of the key.
      Overrides:
        `toString` in class `Object`
      Returns:
        the key.

    - #### equals

          public boolean equals(Object obj)

      Determine if the other object represents the same object id.
      Overrides:
        `equals` in class `SingleFieldIdentity`
      Parameters:
        `obj` - the other object
      Returns:
        true if both objects represent the same object id

    - #### compareTo

          public int compareTo(Object o)

      Determine the ordering of identity objects.
      Parameters:
        `o` - Other identity
      Returns:
        The relative ordering between the objects
      Since:
        2.2

    - #### createKeyAsObject

          protected Object createKeyAsObject()

      Create the key as an Object.
      Overrides:
        `createKeyAsObject` in class `SingleFieldIdentity`
      Returns:
        the key as an Object
      Since:
        2.0

    - #### writeExternal

          public void writeExternal(ObjectOutput out)
                             throws IOException

      Write this object. Write the superclass first.
      Specified by:
        `writeExternal` in interface `Externalizable`
      Overrides:
        `writeExternal` in class `SingleFieldIdentity`
      Parameters:
        `out` - the output
      Throws:
        `IOException`

    - #### readExternal

          public void readExternal(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Read this object. Read the superclass first.
      Specified by:
        `readExternal` in interface `Externalizable`
      Overrides:
        `readExternal` in class `SingleFieldIdentity`
      Parameters:
        `in` - the input
      Throws:
        `IOException`
        `ClassNotFoundException`

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.